import Cookies from "js-cookie";

const TokenKey:string = "Authorization";

// 获取token
export function getToken() {
  return Cookies.get(TokenKey) || localStorage.getItem(TokenKey);
}

// 设置token
export function setToken(token:string) {
  localStorage.setItem(TokenKey, token);
  Cookies.set(TokenKey, token);
}

// 移除token
export function removeToken() {
  localStorage.removeItem(TokenKey);
  Cookies.remove(TokenKey);
}